=== debian/changelog ===
octave-ltfat (2.0.1-1) unstable; urgency=low

  * Imported Upstream version 2.0.1
  * d/p/autoload-yes.patch: Refresh patch
  * d/p/add-subdirs-to-loadpath.patch: Drop patch (fixed upstream)
  * d/check.m: Use the upstream unit testing script
  * d/rules: Fix permission of all *.m files

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 09 Oct 2014 13:58:00 -0300

octave-ltfat (1.4.4-3) unstable; urgency=medium

  * Add security hardening build flags

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 27 Sep 2014 04:30:46 -0300

octave-ltfat (1.4.4-2) unstable; urgency=low

  * debian/rules: Run tests with xvfb-run
  * Ensure that arch-indep files are installed when building the arch-dep
    package

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 01 Sep 2014 06:04:13 -0300

octave-ltfat (1.4.4-1) unstable; urgency=low

  * Initial release (closes: #747039)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 04 May 2014 22:14:56 +0200
