=== debian/control ===
Source: octave-ltfat
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.3),
 xauth, xvfb, gnuplot-nox
Standards-Version: 3.9.5
Homepage: http://octave.sourceforge.net/ltfat/
Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-ltfat.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git

Package: octave-ltfat
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
 octave-ltfat-common (= ${source:Version})
Description: Large Time/Frequency Analysis Toolbox
 This package provides a Matlab/Octave toolbox for working with
 time-frequency analysis, wavelets and signal processing. It is
 intended both as an educational and a computational tool. The toolbox
 provides a large number of linear transforms including Gabor and
 wavelet transforms along with routines for constructing windows
 (filter prototypes) and routines for manipulating coefficients.
 .
 This Octave add-on package is part of the Octave-Forge project.

Package: octave-ltfat-common
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: Large Time/Frequency Analysis Toolbox (arch-indep files)
 This package provides a Matlab/Octave toolbox for working with
 time-frequency analysis, wavelets and signal processing. It is
 intended both as an educational and a computational tool. The toolbox
 provides a large number of linear transforms including Gabor and
 wavelet transforms along with routines for constructing windows
 (filter prototypes) and routines for manipulating coefficients.
 .
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package contains the architecture-independent files for the
 octave-ltfat package.
