## octave-ltfat 2.1.0+dfsg

=== debian/changelog ===
octave-ltfat (2.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.1.0+dfsg
  * d/rules: Prevent unit testing on armhf and mips.
    This avoids FTBFS on theses architectures (see Bug#765545).
  * Unit testing does not need X-window anymore
    + d/rules: Do not use xfvb-run to run the tests.
    + d/control: Drop xauth, xvfb, and gnuplot-nox from Build-Depends.
      Also, the versioned dependency on octave-pkg-dev is relaxed.
  * Drop .jar file from upstream tarball, complying with the Debian Policy
    + d/copyright: Exclude file blockproc.jar
    + d/rules: Add get-orig-source target
    + d/watch: Mangle upstream version to cope with "+dfsg" tag
  * Build blockproc.jar, which is deleted from the upstream tarball
    + d/rules: Add commands for building blockproc.jar
    + d/control: Build-depend on default-jdk
    + d/p/fix-path-of-included-makefile.patch: New patch
  * Bump Standard-Versions to 3.9.6 (no changes needed)
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump Build-Depends on octave to >> 4.0.0~rc4-1 (for sndfile support)
  * d/check.m: Avoid verbose output of unit tests
  * d/watch: Add the repacksuffix option
  * d/p/add-hardening-flags.patch: Drop patch (applied upstream)
  * d/p/fix-path-of-included-makefile.patch: Drop patch (applied upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Jul 2015 23:36:41 +0200
