=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.1.3),
- xauth, xvfb, gnuplot-nox
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev, default-jdk,
+  octave (>> 4.0.0~rc4-1)
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/ltfat/
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-ltfat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git
