=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,17 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+ifeq ($(DEB_HOST_ARCH),armhf)
+export DEB_BUILD_OPTIONS = nocheck
+endif
+
+ifeq ($(DEB_HOST_ARCH),mips)
+export DEB_BUILD_OPTIONS = nocheck
+endif
+
 include /usr/share/cdbs/1/class/octave-pkg.mk
-
-OCTPKG_TEST_ENV = xvfb-run
 
 export CFLAGS = $(shell dpkg-buildflags  --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 
@@ -13,6 +21,16 @@
 # mkdir command below.
 pre-build::
 	mkdir -p lib
+
+# Build the blockproc.jar file, which is deleted from the upstream
+# tarball and clean up the generated *.class files
+build/octave-ltfat-common::
+	$(MAKE) -C inst/blockproc/java
+	find inst/blockproc/java -name \*.class | xargs rm -f
+
+# Clean the generated .jar file
+clean::
+	rm -f inst/blockproc/java/blockproc.jar
 
 # Install the architecture independent files
 octdir = debian/octave-ltfat-common/usr/share/
@@ -26,3 +44,6 @@
 	@echo "Warning: check whether this fix is still needed:"
 	find  $(octdir) -name \*.m | xargs chmod -x
 	@echo "************************************************************"
+
+get-orig-source:
+	uscan --verbose --force-download --repack --compression=xz
