## octave-ltfat 2.1.1%2Bdfsg

=== debian/changelog ===
octave-ltfat (2.1.1+dfsg-2) unstable; urgency=medium

  * d/control: Use secure URIs in the Vcs-* fields
  * d/README.Debian: New file, with package activation instructions.
    Thanks to Andrei Demekhov for the suggestion (Closes: #812775)
  * d/control: Add Suggests relationship on octave-signal.
    This is needed for running demo_wfbt.

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 30 Jan 2016 09:14:21 +0100

octave-ltfat (2.1.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1+dfsg
  * d/rules:
    + Allow unit testing on all architectures
    + Drop the fix for *.m file permissions
  * d/copyright:
    + Update for upstream changes
    + Remove duplicated definition of GPL-2+

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sat, 07 Nov 2015 18:55:41 +0100
