=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
   octave (>> 4.0.0~rc4-1)
 Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/ltfat/
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-ltfat.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-ltfat.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git
 
 Package: octave-ltfat
 Architecture: any
 Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends},
  octave-ltfat-common (= ${source:Version})
+Suggests: octave-signal
 Description: Large Time/Frequency Analysis Toolbox
  This package provides a Matlab/Octave toolbox for working with
  time-frequency analysis, wavelets and signal processing. It is
