=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-ifeq ($(DEB_HOST_ARCH),armhf)
-export DEB_BUILD_OPTIONS = nocheck
-endif
-
-ifeq ($(DEB_HOST_ARCH),mips)
-export DEB_BUILD_OPTIONS = nocheck
-endif
 
 include /usr/share/cdbs/1/class/octave-pkg.mk
 
@@ -39,11 +29,6 @@
 install/octave-ltfat::
 	mkdir -p $(octdir)
 	mv debian/octave-ltfat/usr/share/octave $(octdir)
-	# Fix file permission
-	@echo "************************************************************"
-	@echo "Warning: check whether this fix is still needed:"
-	find  $(octdir) -name \*.m | xargs chmod -x
-	@echo "************************************************************"
 
 get-orig-source:
 	uscan --verbose --force-download --repack --compression=xz
