## octave-ltfat 2.1.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Name: LTFAT
-Version: 2.0.1
-Date: 2014-10-9
-Author: Peter L. Soendergaard <soender@users.sourceforge.net>
+Version: 2.1.1
+Date: 2015-10-23
+Author: Peter L. Soendergaard <peter@sonderport.dk>
 Maintainer: Zdenek Prusa
 Title: The Large Time-Frequency Analysis Toolbox
 Description: The Large Time/Frequency Analysis Toolbox (LTFAT) is a
@@ -16,4 +16,4 @@
 BuildRequires: fftw3 [Debian] libfftw3-3, lapack [Debian] liblapack3,
                blas [Debian] libblas3, portaudio [Debian] portaudio19-dev
                Java Runtime [Debian] default-jre 
-Url: http://ltfat.sourceforge.net/
+Url: http://ltfat.github.io/
