=== debian/watch ===
version=3
opts="dversionmangle=s/[~+]dfsg[0-9]*//,repacksuffix=+dfsg" \
  http://sf.net/octave/ltfat-(.+)\.tar\.gz
