## octave-ltfat 2.1.2+dfsg

=== debian/changelog ===
octave-ltfat (2.1.2+dfsg-1build1) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 18:46:52 +0000

octave-ltfat (2.1.2+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.2+dfsg
  * d/control: Bump Standards-Version to 3.9.7 (no changes needed)
  * d/copyright: Refresh for new upstream version

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 24 Mar 2016 12:30:51 +0100
