=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: octave-ltfat
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev, default-jdk,
   octave (>> 4.0.0~rc4-1)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://octave.sourceforge.net/ltfat/
 Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-ltfat.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git
