## octave-ltfat 2.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: LTFAT
-Version: 2.1.1
-Date: 2015-10-23
+Version: 2.2.0
+Date: 2016-12-20
 Author: Peter L. Soendergaard <peter@sonderport.dk>
 Maintainer: Zdenek Prusa
 Title: The Large Time-Frequency Analysis Toolbox
