=== debian/changelog ===
octave-ltfat (2.2.0+dfsg-7) unstable; urgency=medium

  * d/rules: Remove extraneous directory with duplicated ChangeLog
    (Closes: #890109)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 11 Feb 2018 22:18:20 -0200

octave-ltfat (2.2.0+dfsg-6) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:33:00 -0200

octave-ltfat (2.2.0+dfsg-5) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:46 -0200

octave-ltfat (2.2.0+dfsg-4) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL
  * d/control: Bump Standards-Version to 4.0.1 (no changes needed)
  * d/rules: Use DEB_BUILD_MAINT_OPTIONS

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 15 Aug 2017 16:08:08 -0300

octave-ltfat (2.2.0+dfsg-3) unstable; urgency=medium

  * Use a more robust way for doing architecture-specific unit test
  * d/p/poly2mask-unit-tests.patch: Add patch
  * d/copyrght: Refresh for new upstream version
  * d/rules: Remove extra license file (Lintian warning)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 14 Jan 2017 14:49:07 -0200

octave-ltfat (2.2.0+dfsg-2) unstable; urgency=medium

  * d/check.m: Do not run unit tests on mips64el architecture

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 08 Jan 2017 17:43:27 -0200

octave-ltfat (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2.0+dfsg
  * d/u/metadata: Add citation
  * Bump debhelper compat level to 10
  * d/control:
    + Build-depends on octave-pkg-dev >= 1.4.4
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/s/options: Set extend-diff-ignore option

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 01 Jan 2017 20:53:44 -0200
