=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: octave-ltfat
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev, default-jdk,
-  octave (>> 4.0.0~rc4-1)
-Standards-Version: 3.9.7
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Uploaders: Rafael Laboissiere <rafael@debian.org>
+Build-Depends: debhelper (>= 11), dh-octave,
+  default-jdk, octave (>> 4.0.0~rc4-1)
+Standards-Version: 4.1.3
 Homepage: http://octave.sourceforge.net/ltfat/
-Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-ltfat.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-ltfat.git
+Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ltfat.git
+Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ltfat
+Testsuite: autopkgtest-pkg-octave
 
 Package: octave-ltfat
 Architecture: any
