## octave-ltfat 2.3.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave,
-  default-jdk, octave (>> 4.0.0~rc4-1)
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/ltfat/
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: default-jdk (>= 2:1.8~),
+               debhelper-compat (= 13),
+               dh-octave (>= 0.7.1),
+               octave (>> 4.0.0~rc4-1)
+Standards-Version: 4.5.1
+Homepage: https://octave.sourceforge.io/ltfat/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ltfat.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ltfat
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-ltfat
 Architecture: any
@@ -41,4 +44,3 @@
  .
  This package contains the architecture-independent files for the
  octave-ltfat package.
-
