## octave-ltfat 2.3.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: LTFAT
-Version: 2.2.0
-Date: 2016-12-20
+Version: 2.3.1
+Date: 2018-6-21
 Author: Peter L. Soendergaard <peter@sonderport.dk>
 Maintainer: Zdenek Prusa
 Title: The Large Time-Frequency Analysis Toolbox
