=== debian/changelog ===
octave-ltfat (2.3.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 18:07:43 +0100

octave-ltfat (2.3.1+dfsg-7) experimental; urgency=medium

  * d/rules: Fix typo in variable syntax

 -- Rafael Laboissière <rafael@debian.org>  Sat, 05 Dec 2020 21:30:19 -0300

octave-ltfat (2.3.1+dfsg-6) experimental; urgency=medium

  * d/rules: Remove the arch-indep files for the octave-ltfat package
    (Closes: #976436)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 05 Dec 2020 12:12:46 -0300

octave-ltfat (2.3.1+dfsg-5) experimental; urgency=medium

  * d/rules: Fix the installation of the upstream README file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 04 Dec 2020 04:15:21 -0300

octave-ltfat (2.3.1+dfsg-4) experimental; urgency=medium

  * d/p/build-against-octave-6.patch: New patch (Closes: #976212)
  * d/u/metadata:
    + Add Bug-{Database,Submit} and Repository-Browse fields
    + Drop Name and Contact fields
  * d/control:
    + Bump debhelper compatibitlity level to 13
    + Bump Standards-Version to 4.5.1 (no changes needed)
  * Remove inst/ltfat/ in d/clean, not d/rules
  * d/rules:
    + Use execute(before|after)_dh_* instead oc override_dh_*
    + Drop obsolete code for removing the COPYING files
    + Remove useless Python script test_ltfatarghelper.py
    + Move the README file to the appropriate place
  * d/clean: Delete left-over files src/{confdefs.h,conftest.c}
  * d/p/global-unit-tests-list.patch: Set Forwarded: not-needed
  * d/octave-ltfat.lintian-overrides: Override Lintian warning
    debian-changelog-file-is-a-symlink
  * d/p/spelling-error-playrec.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 02 Dec 2020 15:27:33 -0300

octave-ltfat (2.3.1+dfsg-3) unstable; urgency=medium

  * d/rules: Use override_dh_installdebconf instead of _auto_install for cleanup
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 14:09:04 -0300

octave-ltfat (2.3.1+dfsg-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 04 Jan 2019 07:06:21 -0200

octave-ltfat (2.3.1+dfsg-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 2.3.1+dfsg
  * d/check.m: Ensure that the disp function is correctly dispatched.
    For that, add function d/@char/disp.m.

  [ Sébastien Villemot ]
  * Revert "d/rules: Use override_dh_installdeb for post-install actions"

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:42:13 -0300

octave-ltfat (2.3.0+dfsg.1-1) unstable; urgency=medium

  * New upstream version 2.3.0+dfsg.1
  * d/copyright:
    + Exclude extraneous symlink project.bib
    + Reflect upstream changes
  * d/p/poly2mask-unit-tests.patch: Drop patch (applied upstream)
  * d/control: Bump Standards-Version to 4.1.4
  * Migrate target get-orig-source into debian/watch
  * d/octave-ltfat.examples: New file
  * Exclude unit tests for frames
    + d/p/global-unit-tests-list.patch: New patch
    + d/check.m: Set global variable LTFAT_TESTS_TODO

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 12 May 2018 08:48:59 -0300

octave-ltfat (2.2.0+dfsg-8) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/rules: Use override_dh_installdeb for post-install actions
  * d/control: Force build-dependency on a modern default-jdk (Closes: #891697)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 06 Mar 2018 01:58:50 -0300
