=== debian/watch ===
version=4
opts="repack,compression=xz,dversionmangle=s/[~+]dfsg[0-9]*//,repacksuffix=+dfsg" \
  http://sf.net/octave/ltfat-(.+)\.tar\.gz
