## octave-ltfat 2.5.0+dfsg

=== debian/changelog ===
octave-ltfat (2.5.0+dfsg-2ubuntu1) mantic; urgency=medium

  * Avoid FTBFS by ignoring dwz error, see #1040747:
    dwz: Couldn't find DIE at DW_FORM_ref_addr offset 0x2881e

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 18 Aug 2023 16:37:39 +0000

octave-ltfat (2.5.0+dfsg-2build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:30:07 +0000

octave-ltfat (2.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

  * d/control: Update Homepage URL
  * d/u/metadata: Add Documentation URL

 -- Rafael Laboissière <rafael@debian.org>  Wed, 14 Jun 2023 08:08:36 -0300

octave-ltfat (2.5.0+dfsg-1) experimental; urgency=medium

  * New upstream version 2.5.0+dfsg
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage
  * d/octave-ltfat-common.lintian-overrides: Update for new syntax
    (file names inside square brackets)
  * d/p/build-against-octave-6.patch: Drop patch (applied upstream)
  * d/p/default-java18.patch: New patch (replaces default-java17.patch)
  * d/p/global-unit-tests-list.patch: Refresh for new upstream version
  * Install the packages using d/*.install files instead of using d/rules
  * d/u/metadata:
    + Fix Reference
    + Update Bug-Database, Bug-Submit, and Repository-Browse URLs
    + Add Repository field
    + Add Changelog field
  * Install upstream README file in the correct place
    + d/octave-ltfat-common.docs: New file
    + d/rules: Remove the README file from the wrong place
  * d/clean: Extend list of files to remove
  * d/rules: Remove wrongly installed directory

 -- Rafael Laboissière <rafael@debian.org>  Sun, 21 Mar 2023 14:22:18 -0300

octave-ltfat (2.3.1+dfsg-10) unstable; urgency=medium

  * Upload to unstable (really, closes: #981933, #988657)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 12:31:25 -0300

octave-ltfat (2.3.1+dfsg-9) experimental; urgency=medium

  * d/control: Invert order of stanzas for octave-ltfat and octave-ltfat-common.
    This allows the correct creation of the symlinks for the upstream NEWS
    and ChangeLog files only in the octave-ltfat-common package.
    (Closes: #988657)
  * d/octave-ltfat.lintian-overrides: Fix name of package in comment
  * Override Lintian warning debian-changelog-file-is-a-symlink in the
    octave-ltfat-common package, instead of octave-ltfat.
  * d/p/default-java17.patch: New patch (Closes: #981933)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 23 May 2021 15:37:28 -0300
