=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave

export CFLAGS = $(shell dpkg-buildflags  --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

ifeq ($(dpkg-architecture -qDEB_BUILD_ARCH),mips64el)
DEB_BUILD_MAINT_OPTIONS = nocheck
endif

# The following rule is needed because an empty lib/ directory is
# needed for building the package correctly.  Even though there is one
# in the tarball, it is not created by gbp-import-orig, hence the
# mkdir command below.
execute_before_dh_auto_configure:
	mkdir -p lib

# Build the blockproc.jar file, which is deleted from the upstream
# tarball and clean up the generated *.class files
execute_after_dh_auto_build:
	$(MAKE) -C inst/blockproc/java
	find inst/blockproc/java -name \*.class | xargs rm -f

indepdir = debian/octave-ltfat-common/usr/share

execute_after_dh_install:
	rm -rf $(indepdir)/octave/packages/ltfat-*/ltfat

execute_before_dh_installdeb-indep:
	# Remove extraneous README file
	rm $(indepdir)/octave/packages/ltfat-*/README
	# Remove useless Python script
	rm $(indepdir)/octave/packages/ltfat-*/private/test_ltfatarghelper.py

override_dh_dwz:
	-dh_dwz
