## octave-ltfat 2.6.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,14 @@
 
 execute_before_dh_installdeb-indep:
 	# Remove extraneous README file
-	rm $(indepdir)/octave/packages/ltfat-*/README
+	rm $(indepdir)/octave/packages/ltfat-*/README*
 	# Remove useless Python script
 	rm $(indepdir)/octave/packages/ltfat-*/private/test_ltfatarghelper.py
+	# Remove useless scripts im2double.m and normalize.m
+	# (they are identical to the ones shipped with Octave)
+	for i in im2double.m normalize.m ; do			\
+	    find $(indepdir) -name $$i -exec rm \{} \; ;	\
+	done
 
 override_dh_dwz:
 	-dh_dwz
